Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class ComplexCommandSupport

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport

    class ComplexCommandSupport
    extends CommandSupport

Support for more complex commands.

version:
  $Id: ComplexCommandSupport.groovy 8806 2007-10-25 21:58:29Z user57 $

author:
  Jason Dillon

Property Summary
`protected String` | `defaultFunction`
`def` | `do_all`
`protected List` | `functions`

Constructor Summary
`ComplexCommandSupport(Shell shell, String name, String shortcut)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`
`protected def` | `executeFunction(List args)`
`protected Closure` | `loadFunction(String name)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### defaultFunction

    protected String defaultFunction

### do_all

    def do_all

### functions

    protected List functions

Constructor Detail

### ComplexCommandSupport

    public ComplexCommandSupport(Shell shell, String name, String shortcut)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

### executeFunction

    protected def executeFunction(List args)

### loadFunction

    protected Closure loadFunction(String name)

Copyright © 2003-2009 The Codehaus. All rights reserved.